ru.bitel.bgbilling.kernel.module.server.event

## Class ModulesChangedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.module.server.event.ModulesChangedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ModulesChangedEvent
      extends Event

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ModulesChangedEvent()`
    `` | `ModulesChangedEvent(int userId)`
    `` | `ModulesChangedEvent(int userId, boolean needReloadXml)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isNeedReloadActionsXml()`
    `void` | `setNeedReloadActionsXml(boolean needReloadActionsXml)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModulesChangedEvent

          protected ModulesChangedEvent()

    - #### ModulesChangedEvent

          public ModulesChangedEvent(int userId)

    - #### ModulesChangedEvent

          public ModulesChangedEvent(int userId,
                                     boolean needReloadXml)

      Parameters:
        `needReloadXml` - - если true, то произойдет перечитывание действий.

  - ### Method Detail

    - #### isNeedReloadActionsXml

          public boolean isNeedReloadActionsXml()

    - #### setNeedReloadActionsXml

          public void setNeedReloadActionsXml(boolean needReloadActionsXml)